* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: Inter;
}
a {
  text-decoration: none;
  color: inherit;
}
ul {
  list-style-type: none;
}
body {
  background-color: #fafaf4;
}

.nav {
  position: sticky;
  display: grid;
  grid-template-areas: "menu";
  grid-template-columns: 1fr;
  align-items: baseline;
  padding: 10px;
  margin: 250px;
  margin-bottom: 20px;
  margin-top: 20px;
  border-bottom: 1.5px solid;
  border-width: 100%;
  border-color: 0a0001;
  color: #000000;
}

.menu {
  grid-area: menu;
  justify-self: end;
}
.menu li {
  display: inline;
  font-size: 14px;
  font-weight: 500;
  text-decoration: underline solid;
}
.intro {
  padding-bottom: 60px;
  padding-top: 40px;
  padding-left: 20px;
  padding-right: 20px;
  margin-bottom: 40px;
  margin-left: 250px;
  margin-right: 250px;
  border-bottom: 1.5px solid;
  border-width: 100%;
  border-color: 0a0001;
  text-align: center;
  line-height: 75px;
}

.intro h1 {
  color: #000000;
}

.intro a {
  position: relative;
  text-decoration: underline solid 2px;
}
.intro #daniel {
  font-family: "Lexend";
  color: black;
  -webkit-text-stroke: 1px rgb(0, 0, 0);
  paint-order: stroke fill;
  font-size: 35px;
  font-weight: 800;
}

.intro #list {
  font-family: "Orelega One";
  font-size: 50px;
  font-weight: 700;
  -webkit-text-stroke: 0px rgb(0, 0, 0);
  paint-order: stroke fill;
  text-transform: uppercase;
}

.intro #contact {
  cursor: pointer;
  font-family: "Lexend";
  color: black;
  -webkit-text-stroke: 1px rgb(0, 0, 0);
  paint-order: stroke fill;
  font-size: 35px;
  font-weight: 800;
}

.intro #welcome {
  font-size: 70px;
  font-family: "Smokum";
  font-weight: 100;

  text-transform: uppercase;
  color: #000000;
  -webkit-text-stroke: 0px rgb(0, 0, 0);
  paint-order: stroke fill;
}
.gallery {
  position: relative;
  width: 100%;
  padding: 20px 250px;
  display: grid;
  grid-area: gallery;
  grid-template-columns: repeat(auto-fit, minmax(500px, 1fr));
  justify-content: center;
  gap: 20px;
}
.thumbnail {
  aspect-ratio: 1 / 1.2;
  overflow: hidden;
  position: relative;
  opacity: 100%;
  transition: opacity 0.3s ease-in-out;
}
.thumbnail:hover {
  opacity: 80%;
}

.thumbnail img {
  object-fit: cover;
  object-position: center;
  width: 100%;
  height: 100%;
}
.desc {
  position: absolute;
  z-index: 1;
  opacity: 0;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  transition-property: opacity;
  transition-duration: 0.5s;
  transition-timing-function: ease-in;
  text-align: center;
}
.thumbnail:hover .desc {
  opacity: 1;
}
.footer {
  align-items: baseline;
  padding: 10px;
  margin: 250px;
  margin-bottom: 20px;
  border-top: 1.5px solid;
  border-width: 100%;
  border-color: 0a0001;
  color: #000000;
  display: grid;
  grid-template-areas:
    "thankyou"
    "email"
    "links"
    "copyright";
  align-items: center;
  display: flex;
  flex-direction: column;
  gap: 10px;
}
.footer li {
  display: inline;
  padding: 3px;
}
.footer a {
  text-decoration: underline;
}
#thankyou {
  display: inline-block;
  text-align: center;
}

/*aboutpage*/

.abtcontent {
  padding: 20px 400px;
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  align-items: center;
}

.about {
  grid-area: about;
  display: flex;
  flex-direction: column;
  gap: 30px;
  align-content: center;
  justify-content: center;
}

.abtportrait {
  grid-area: portrait;
  position: relative;
  flex: 1;
  max-width: 800px;
  min-width: 400px;
  justify-content: center;
  align-items: center;
  overflow: hidden;
}

.abtportrait img {
  object-fit: cover;
  object-position: center;
  height: auto;
  width: 100%;
  height: 100%;
  margin-left: auto;
  margin-right: auto;
}
.abtinfo {
  flex: 1;
  align-items: center;
  line-height: 25px;
  display: flex;
  justify-content: space-around;
  margin-top: 20px;
}
.abtinfo a {
  text-decoration: solid underline;
}

@media (max-width: 1600px) {
  .abtportrait {
    flex-basis: 100%;
  }
  .abtinfo {
    flex-basis: 100%;
  }
}

#contactme {
  font-weight: 600;
}

/*imagepages*/
.imagecontent {
  padding: 20px 00px;
  display: flex;
  flex-direction: column;
  flex-wrap: wrap;
  justify-content: center;
  align-items: center;
  gap: 20px;
  text-align: center;
  line-height: 25px;
}
.imagecontent a {
  text-decoration: underline solid;
}
.imagecontent img {
  object-fit: cover;
  object-position: center;
  height: auto;
  max-width: 1200px;
  width: 100%;
  height: 100%;
  margin-left: auto;
  margin-right: auto;
}

@media screen and (max-width: 980px) {
  .intro {
    margin-right: 15px; /* Shorthand for all 4 sides */
    margin-left: 15px;
  }
}
@media screen and (max-width: 980px) {
  .nav {
    margin-right: 15px; /* Shorthand for all 4 sides */
    margin-left: 15px;
  }
}
@media screen and (max-width: 980px) {
  .gallery {
    padding-right: 25px; /* Shorthand for all 4 sides */
    padding-left: 25px;
  }
}
@media screen and (max-width: 980px) {
  .footer {
    margin-right: 15px; /* Shorthand for all 4 sides */
    margin-left: 15px;
  }
}
@media screen and (max-width: 980px) {
  .abtcontent {
    padding-right: 15px; /* Shorthand for all 4 sides */
    padding-left: 15px;
  }
}
